let data = null;
let data_license = null;
let data_user_info = null;
let validate = false;


const storedData = localStorage.getItem("mbf_data")
? JSON.parse(atob(localStorage.getItem("mbf_data")))
: null;

data_license = {
phone: storedData ? storedData.phone : null,
unique_id: storedData ? storedData.unique_code : null,
license: storedData ? storedData.license : null,
};
//------------------------Obteniendo datos del servidor
fixModals();

appendCSS();

fetchData("", data_license.phone).then((info) => {
  data = info.data;
  removeIncesary();
  loadComplete(async () => {

    let loadingElement = document.querySelector("#mbf_loading");


    if (!data_license.phone || !data_license.unique_id) {
      location.reload();
    }



    addSidebar();
    if (data_license.license && data_license.license !== "") {
      const result = await validateLicense(
        data_license.unique_id,
        data_license.phone,
        data_license.license
      );

      if (result.success) {
        openModalPromotion();

        validate = true;
        data_user_info = result.data;
    
        window.postMessage(
          {
            type: "ON_FETCH_REMOTE_DATA",
            response: "",
            extraData: { type: "validate_device", mbf: true },
          },
          "*"
        );
      } else {
        if (storedData && storedData.license) {
          delete storedData.license;
          localStorage.setItem("mbf_data", btoa(JSON.stringify(storedData)));
        }
        openModalExpired();
      }
    }
    loadingElement.remove();
    document.querySelector(".main_toolbar").style.opacity = 1;
  });
});

//--------------------Detectar si est conectado

var isUserLoggedIn = setInterval(function () {
  if (Boolean(document.getElementById("pane-side")) && data) {
    clearInterval(isUserLoggedIn);
    openLoading();
  }
}, 50);

//----------------------Mostrar la ventana de cargando

function openLoading() {
  let html = `
    <div id="mbf_loading">
	<div>
      <h1>${data.loading.loading_title}</h1>
      <img src="${data.loading.loading_image}" alt="Loading" />
      <p>
        ${data.loading.loading_title_description}
      </p>
	   </div>
    </div>
    `;

  document.body.insertAdjacentHTML("beforeend", html);

}

//----------------------- Agregar botones

function addSidebar() {
  var ifInsertButtons = setInterval(function () {
    if (Boolean(document.querySelector(".two._aigs"))) {
      clearInterval(ifInsertButtons);

      const app = document.querySelector("._aigs > header");

      const sidebarHTML = `
      <div class="mbf-sidebar">
        <a class="logo" href="https://geniusdevel.com"  target="_blank">
            <img src="${data.logo.data.logo_image}" alt="Logo de la empresa">
        </a>
        <div class="mbf-buttons">
          ${data.buttons.data
            .map(
              (button) => `
            <div id="${button.id}" class="btn-item">
                <div class="btn-item-img">
                    <img class="wc-user-img" src="${button.icon}">
                </div>
                <div class="btn-item-info">
                    <strong class="btn-item-info-title">${button.title}</strong>
                    <p class="btn-item-info-subtitle">${button.sub_title}</p>
                </div>
            </div>
          `
            )
            .join("")}
        </div>
      </div>
    `;

      app.insertAdjacentHTML("afterbegin", sidebarHTML);

      const items = [
        { id: "sending_messages", index: 1 },
        { id: "lists", index: 2 },
        { id: "templates", index: 3 },
        { id: "workflow", index: 4 },
        { id: "schedule_messages", index: 5 },
        { id: "scheduled_shipments", index: 6 },
        { id: "quick_reply", index: 7 },
        { id: "kanban_board", index: 8 },
        { id: "functions", index: 9 },
        { id: "tools_free", index: 10 },
        { id: "user", index: 11 },
      ];

      items.forEach((item) => {
        const element = document.querySelector(`#${item.id}`);
        if (element) {
          element.addEventListener("click", () => {
            if (validate === false) {
              openModalPrice();
            } else {
              let menu = document.querySelector(
                `.main_toolbar > .right_buttons-side > div > div > .ant-space-item:nth-child(${item.index})`
              );
              menu.querySelector("button").click();
            }
          });
        }
      });
    }
  }, 50);
}

//----------------------- Load complete function

function loadComplete(callback) {
  const observer = new MutationObserver(function (mutationsList) {
    mutationsList.forEach(function (mutation) {
      if (mutation.type === "childList") {
        mutation.addedNodes.forEach(function (node) {
          if (node.classList && node.classList.contains("main_toolbar")) {
            observer.disconnect();
            node.style.opacity = 0;

            let intervalId;

            intervalId = setInterval(() => {
              const logoElement = node.querySelector(
                ".custom-product-logo-layout"
              );
              const leftTabElement = node.querySelector(".left_tab-side");
              const rightButtonsElement = node.querySelector(
                ".right_buttons-side"
              );

              if (logoElement && leftTabElement && rightButtonsElement) {
                clearInterval(intervalId); // Clear the interval
                if (typeof callback === "function") {
                  callback();
                }
              }
            }, 100);
          }
        });
      }
    });
  });

  const config = { childList: true, subtree: true };
  observer.observe(document.body, config);
}

//----------------------- Fetch data function

async function fetchData(key = "", phone) {
  const ajaxUrl = new URL(
    "https://whatsapp.m3mcommercialncr.in/api/panouncement.php"
  );
  ajaxUrl.searchParams.append("action", "get_data");

  if (key) {
    ajaxUrl.searchParams.append("key", key);
  }

  try {
    const response = await fetch(ajaxUrl, {
      method: "GET",
    });

    if (!response.ok) {
      throw new Error(`HTTP error! status: ${response.status}`);
    }

    const data = await response.json();
    return data;
  } catch (error) {
    console.error("Error:", error);
    throw error;
  }
}

//-------------------  Abrir el modal licencia expirada

function openModalLicense() {
  let html = `
  <div id="modalLicense" class="modal">
    <div class="modal-content">
      <button class="close"></button>
      <!-- Start - Modal content -->
        <h1 class="modal-title">License Details</h1>
        <p class="modal-description">Here you will find detailed information about your license and options to uninstall it if necessary.</p>

      <table class="user-info-table">
        <tbody>
          <tr>
            <td><strong>Usuário:</strong></td>
            <td>${data_user_info.userDeviceData.device_data.skd_wa_no}</td>
          </tr>
          <tr>
            <td><strong>Telefone:</strong></td>
            <td>${data_user_info.userDeviceData.device_data.skd_wa_no}</td>
          </tr>
          <tr>
            <td><strong>Licença:</strong></td>
            <td>${data_user_info.userDeviceData.skey}</td>
          </tr>
          <tr>
            <td><strong>Plano:</strong></td>
            <td>${data_user_info.userDeviceData.plan_type}</td>
          </tr>
          <tr>
            <td><strong>Próximo pagamento:</strong></td>
            <td>${data_user_info.userDeviceData.validate.end_date}</td>
          </tr>
        </tbody>
      </table>
      <div class="modal-buttons" style="margin-top: 20px;" >
       <button type="button" class="uninstall-button mbf_button ">Uninstall license</button>
        <button type="button" class="close-button mbf_button alterntive ">close</button>
      </div>
      <!-- End - Modal content -->
    </div>
  </div>
`;

  document.querySelectorAll(".mbf-ant-modal-close").forEach((item) => {
    item.click();
  });

  document.body.insertAdjacentHTML("beforeend", html);

  var modal = document.getElementById("modalLicense");
  var modalClose = modal.querySelector(".close");
  const button_uninstall = document.querySelector(".uninstall-button");
  const button_close = document.querySelector(".close-button");
  modal.style.display = "flex";

  modalClose.onclick = function () {
    modal.style.display = "none";
    modal.remove();
  };

  button_close.onclick = function () {
    modal.style.display = "none";
    modal.remove();
  };

  button_uninstall.onclick = async function () {
    modal.classList.add("loading");

    const result = await uninstallLicense(data_license.license);

    if (result.success) {
      validate = false;

      localStorage.removeItem("mbf_data");

      alert(result.message);

      setTimeout(() => {
        location.reload();
      }, 500);
    } else {
      modal.classList.remove("loading");
      alert(result.message);
      return false;
    }
  };

  window.onclick = function (event) {
    if (event.target == modal) {
      modal.style.display = "none";
      modal.remove();
    }
  };
}

//-------------------  Abrir el modal licencia expirada

function openModalExpired() {
  let html = `
  <div id="modalPrice" class="modal">
  
    <div class="modal-content">
      <button class="close"></button>
      <!-- Start - Modal content -->
  
  <div class="expired_description">${data.expired.description}</div>
  
  <a href="${data.expired.button.link}" target="_blank" class="btn-swal expired_button swal2-styled swal2-default-outline">${data.expired.button.title}</a>
      <div class="modal-buttons"  >
  <button type="button" class="expired_button mbf_button">Close</button>
  </div>
      <!-- End - Modal content -->
    </div>
  </div>
   `;

  document.body.insertAdjacentHTML("beforeend", html);

  var modal = document.getElementById("modalPrice");
  var modalClose = modal.querySelector(".close");
  const button = document.querySelector(".mbf_button");

  modal.style.display = "flex";

  modalClose.onclick = function () {
    modal.style.display = "none";
    modal.remove();
  };

  button.onclick = function () {
    modal.style.display = "none";
    modal.remove();
  };

  window.onclick = function (event) {
    if (event.target == modal) {
      modal.style.display = "none";
      modal.remove();
    }
  };
}

//-------------------  Abrir el modal para insertar la licencia

function openModalKey() {
  let html = `
<div id="modalPrice" class="modal">

  <div class="modal-content">
    <button class="close"></button>
    <!-- Start - Modal content -->
  
    <h1 class="modal-title">You must enter a key</h1>
    <div class="modal-description">
      You must enter your license in the following field to activate advanced features.
    </div>

    <div class="toggle-price">
        <input type="text" class="mbf_input_text" style="margin-bottom:20px;"/>
        <div class="mbf_button"  >Validate</div>
    </div>

    <!-- End - Modal content -->
  </div>
</div>
 `;

  document.body.insertAdjacentHTML("beforeend", html);

  var modal = document.getElementById("modalPrice");
  var modalClose = modal.querySelector(".close");

  modal.style.display = "flex";

  modalClose.onclick = function () {
    modal.style.display = "none";
    modal.remove();
  };

  window.onclick = function (event) {
    if (event.target == modal) {
      modal.style.display = "none";
      modal.remove();
    }
  };

  const input = document.querySelector(".mbf_input_text");
  const button = document.querySelector(".mbf_button");

  button.addEventListener("click", async () => {
    if (input.value === "") {
      alert("You must enter your license");
    } else {
      modal.classList.add("loading");
      const result = await validateLicense(
        data_license.unique_id,
        data_license.phone,
        input.value,
      );

      if (result.success) {
        modal.classList.remove("loading");
        window.postMessage(
          {
            type: "ON_FETCH_REMOTE_DATA",
            response: "",
            extraData: { type: "validate_device", mbf: true },
          },
          "*"
        );

        modal.style.display = "none";
        modal.remove();

        validate = true;

        data_user_info = result.data;

        storeLicenseKey(input.value);

        const message = `Olá ${data_user_info.userDeviceData.device_data.skd_wa_no}, your plan license "${data_user_info.userDeviceData.plan_type}" has been successfully activated. Your next payment is scheduled for ${data_user_info.userDeviceData.validate.end_date}. Thank you for trusting us!`;

        alert(message);
      } else {
        modal.classList.remove("loading");
        input.value = "";
        input.focus();
        alert(result.message);
      }
    }
  });

  //-----------------------------------------------
}

//-------------------  openModalPrice



//-------------------  open Modal Promotion

function openModalPromotion() {
  let currentDay = new Date().getDate();

  if (currentDay === Number(data.promotion.day)) {
    let promotions = localStorage.getItem("list_promotions");

    if (!promotions) {
      promotions = [];
      localStorage.setItem("list_promotions", JSON.stringify(promotions));
    } else {
      promotions = JSON.parse(promotions);
    }

    let codeToCheck = data.promotion.code;

    if (!promotions.includes(codeToCheck)) {
      promotions.push(codeToCheck);
      localStorage.setItem("list_promotions", JSON.stringify(promotions));

      let html = `
<div id="modalPromotion" class="modal">

  <div class="modal-content">
    <button class="close"></button>
    <!-- Start - Modal content -->
  
    <h1 class="modal-title">Promotions</h1>
 
  <div class="carousel-container">
  <button class="carousel-btn left-btn">←</button>
  <ul>
        ${data.promotion.slider.map((item) => {
          return `<li class="promotion"> 
                    <a href="${item.link}" target="_blank">
                          <img src="${item.image}" alt="${item.title}" class="promotion_image">
                      </a> 
                    </li>`;
        })}
         </ul>
        <button class="carousel-btn right-btn">→</button>
</div>

    <!-- End - Modal content -->
  </div>
</div>
 `;

      document.body.insertAdjacentHTML("beforeend", html);

      var modal = document.getElementById("modalPromotion");
      var modalClose = modal.querySelector(".close");

      modal.style.display = "flex";

      modalClose.onclick = function () {
        modal.style.display = "none";
        modal.remove();
      };

      window.onclick = function (event) {
        if (event.target == modal) {
          modal.style.display = "none";
          modal.remove();
        }
      };

      //-----------------------------------------------

      const carousel = document.querySelector(".carousel-container ul");
      const leftBtn = document.querySelector(".carousel-container .left-btn");
      const rightBtn = document.querySelector(".carousel-container .right-btn");
      const items = document.querySelectorAll(
        ".carousel-container  li.subscription"
      );

      function getCurrentIndex() {
        const itemWidth = items[0].clientWidth;
        const scrollLeft = carousel.scrollLeft;
        const index = Math.round(scrollLeft / itemWidth);
    
        return index;
      }

      leftBtn.addEventListener("click", () => {
        carousel.scrollLeft -= carousel.clientWidth;
        setTimeout(() => {
          getCurrentIndex();
        }, 100);
      });

      rightBtn.addEventListener("click", () => {
        carousel.scrollLeft += carousel.clientWidth;
        setTimeout(() => {
          getCurrentIndex();
        }, 100);
      });
    }
  }
}

//-------------------  openModalPrice

function openModalPrice() {
  let html = `
<div id="modalPrice" class="modal">

  <div class="modal-content">
    <button class="close"></button>
    <!-- Start - Modal content -->
  
    <h1 class="modal-title">Choose your Plan</h1>
 <div class="modal-description">
 If you already have a license, click here to access: <a href="#" class="open-insert-key">Insert key</a>
  </div>

  <div class="toggle-price">
    <input type="checkbox" id="toggle" class="toggle-checkbox" />
    <label for="toggle" class='toggle-container'>
      <div>Month</div> 
      <div>Again</div>
    </label>
  </div>

 


  <div class="carousel-container">
  <button class="carousel-btn left-btn">←</button>
  <ul>
        ${data.table_price.map((item) => {
          return `<li class="subscription"> 
                  
                        <div class="subscription_header">
                          <h2 class="subscription_header_title">${
                            item.title
                          }</h2>
                    ${
                      item.description === "-"
                        ? `<div class="subscription_header_description">${item.description}</div>`
                        : ""
                    }
                        </div>
                        <div class="subscription_content">
                           <ul class="subscription_feature">
                              ${item.features.join("")}
                          </ul>
                          <div class="subscription_price">
                            <span class="subscription_price_old">*</span>
                            <span class="subscription_price_current">*</span>
                          </div>
                        </div>
                         <div class="subscription_footer">
                             <a class="mbf_button" href="${
                               item.url
                             }" target="_blank">Comprar</a>
                        </div>
 
                    </li>`;
        })}
         </ul>
        <button class="carousel-btn right-btn">→</button>
</div>

    <!-- End - Modal content -->
  </div>
</div>
 `;

  document.body.insertAdjacentHTML("beforeend", html);

  var modal = document.getElementById("modalPrice");
  var modalClose = modal.querySelector(".close");

  modal.style.display = "flex";

  modalClose.onclick = function () {
    modal.style.display = "none";
    modal.remove();
  };

  window.onclick = function (event) {
    if (event.target == modal) {
      modal.style.display = "none";
      modal.remove();
    }
  };

  //-----------------------------------------------

  const carousel = document.querySelector(".carousel-container ul");
  const leftBtn = document.querySelector(".carousel-container .left-btn");
  const rightBtn = document.querySelector(".carousel-container .right-btn");
  const items = document.querySelectorAll(
    ".carousel-container  li.subscription"
  );
  const check = document.querySelector(".toggle-price input");
  const openInsertKeyLink = document.querySelector(".open-insert-key");

  function getCurrentIndex() {
    const itemWidth = items[0].clientWidth;
    const scrollLeft = carousel.scrollLeft;
    const index = Math.round(scrollLeft / itemWidth);

    return index;
  }

  leftBtn.addEventListener("click", () => {
    carousel.scrollLeft -= carousel.clientWidth;
    setTimeout(() => {
      get_price();
    }, 100);
  });

  rightBtn.addEventListener("click", () => {
    carousel.scrollLeft += carousel.clientWidth;
    setTimeout(() => {
      get_price();
    }, 100);
  });

  check.addEventListener("change", function () {
    get_price();
  });

  openInsertKeyLink.addEventListener("click", (e) => {
    e.preventDefault();
    modal.style.display = "none";
    modal.remove();
    openModalKey();
  });

  function get_price() {
    const currentIndex = getCurrentIndex();
    const slide = document.querySelector(".carousel-container  ul").children[
      currentIndex
    ];
    let info = data.table_price[getCurrentIndex()];

    if (info.variations.length === 0) {
      document.querySelector(".toggle-price").classList.add("disabled");
      if (info.old_price === null) {
        slide.querySelector(".subscription_price_old").style.display = "none";
        slide.querySelector(".subscription_price_current").innerHTML =
          info.regular_price;
      } else {
        slide.querySelector(".subscription_price_old").style.display = "inline";
        slide.querySelector(".subscription_price_current").style.display =
          "inline";
        slide.querySelector(".subscription_price_old").innerHTML =
          info.old_price;
        slide.querySelector(".subscription_price_current").innerHTML =
          info.regular_price;
      }
    } else {
      document.querySelector(".toggle-price").classList.remove("disabled");
      if (check.checked) {
        if (info.variations[1].old_price === null) {
          slide.querySelector(".subscription_price_old").style.display = "none";
          slide.querySelector(".subscription_price_current").innerHTML =
            info.variations[1].regular_price;
        } else {
          slide.querySelector(".subscription_price_old").style.display =
            "inline";
          slide.querySelector(".subscription_price_old").innerHTML =
            info.variations[1].old_price;
          slide.querySelector(".subscription_price_current").innerHTML =
            info.variations[1].regular_price;
        }
      } else {
        if (info.variations[0].old_price === null) {
          slide.querySelector(".subscription_price_old").style.display = "none";
          slide.querySelector(".subscription_price_current").innerHTML =
            info.variations[0].regular_price;
        } else {
          slide.querySelector(".subscription_price_old").style.display =
            "inline";
          slide.querySelector(".subscription_price_old").innerHTML =
            info.variations[0].old_price;
          slide.querySelector(".subscription_price_current").innerHTML =
            info.variations[0].regular_price;
        }
      }
    }
  }

  get_price();
}

//------------Validar Licencia

async function validateLicense(unique_id, phone, license) {
  const params = new URLSearchParams({
    unique_id: unique_id,
    phone: phone,
    license: license,

  }).toString();

  const url = `https://whatsapp.m3mcommercialncr.in/api/pvalidate.php?${params}`;

  try {

    const response = await fetch(url, { method: "GET" });
    const res = await response.json();

    if (res.status === 200) {
      return { success: true, message: res.message, data: res.dData };
    } else {
      return { success: false, message: res.message };
    }
  } catch (error) {
    return { success: false, message: "Error de red o servidor" };
  }
}

//----------------------Almacenar la licencia

function storeLicenseKey(licenseValue) {
  const localStorageKey = "mbf_data";

  function encryptData(data) {
    return btoa(JSON.stringify(data));
  }

  function decryptData(encryptedData) {
    return JSON.parse(atob(encryptedData));
  }

  let storedData = null;

  try {
    const encryptedData = localStorage.getItem(localStorageKey);
    storedData = encryptedData ? decryptData(encryptedData) : null;
  } catch (e) {}

  if (!storedData) {
    storedData = {
      license: licenseValue,
    };
  } else {
    storedData.license = licenseValue;
  }

  try {
    localStorage.setItem(localStorageKey, encryptData(storedData));
  } catch (e) {}
}

//----------------------- Fix Modals

function fixModals() {
  let button = `<button type="button" aria-label="Close" class="mbf-ant-modal-close"><span class="ant-modal-close-x"><span role="img" aria-label="close" class="anticon anticon-close ant-modal-close-icon"><svg fill-rule="evenodd" viewBox="64 64 896 896" focusable="false" data-icon="close" width="1em" height="1em" fill="currentColor" aria-hidden="true"><path d="M799.86 166.31c.02 0 .04.02.08.06l57.69 57.7c.04.03.05.05.06.08a.12.12 0 010 .06c0 .03-.02.05-.06.09L569.93 512l287.7 287.7c.04.04.05.06.06.09a.12.12 0 010 .07c0 .02-.02.04-.06.08l-57.7 57.69c-.03.04-.05.05-.07.06a.12.12 0 01-.07 0c-.03 0-.05-.02-.09-.06L512 569.93l-287.7 287.7c-.04.04-.06.05-.09.06a.12.12 0 01-.07 0c-.02 0-.04-.02-.08-.06l-57.69-57.7c-.04-.03-.05-.05-.06-.07a.12.12 0 010-.07c0-.03.02-.05.06-.09L454.07 512l-287.7-287.7c-.04-.04-.05-.06-.06-.09a.12.12 0 010-.07c0-.02.02-.04.06-.08l57.7-57.69c.03-.04.05-.05.07-.06a.12.12 0 01.07 0c.03 0 .05.02.09.06L512 454.07l287.7-287.7c.04-.04.06-.05.09-.06a.12.12 0 01.07 0z"></path></svg></span></span></button>`;

  const observer1 = new MutationObserver(() => {
    const customSettingMenu = document.querySelector(
      ".ant-popover-inner-content .custom-setting-menu"
    );
    if (customSettingMenu) {
      observer1.disconnect();

      const element =
        customSettingMenu.closest(".ant-popover").parentElement.parentElement;

      let popover = element.querySelector(".ant-popover");

      element
        .querySelector(".ant-popover-content")
        .insertAdjacentHTML("afterbegin", button);

      element
        .querySelector(".mbf-ant-modal-close")
        .addEventListener("click", () => {
          popover.classList.add("ant-popover-hidden");
        });

      element.classList.add("full-screen");

      const headerDiv = element.querySelector(
        ".custom-setting-menu-header div"
      );

      headerDiv.innerHTML = "";
      headerDiv.innerHTML = `<p>${data_user_info.userDeviceData.device_data.skd_wa_no}</p>`;

      const menuItemLicense = document.querySelector(
        ".custom-setting-menu-items-layout .custom-setting-menu-item:nth-child(1)"
      );
      const newMenuItemLicense = menuItemLicense.cloneNode(true);
      menuItemLicense.replaceWith(newMenuItemLicense);
      newMenuItemLicense.addEventListener("click", function () {
        openModalLicense();
      });
    }
  });

  // Crear un MutationObserver
  const observer2 = new MutationObserver(() => {
    const customSettingMenu = document.querySelector(
      ".ant-popover-inner-content .custom-advance-tools-menu"
    );
    if (customSettingMenu) {
      observer2.disconnect();

      const element =
        customSettingMenu.closest(".ant-popover").parentElement.parentElement;
      let popover = element.querySelector(".ant-popover");

      element
        .querySelector(".ant-popover-content")
        .insertAdjacentHTML("afterbegin", button);

      element
        .querySelector(".mbf-ant-modal-close")
        .addEventListener("click", () => {
          popover.classList.add("ant-popover-hidden");
        });

      element.classList.add("full-screen");
    }
  });

  observer2.observe(document.body, { childList: true, subtree: true });

  observer1.observe(document.body, { childList: true, subtree: true });
}

// Eliminar cosas innesesarias------------------------

function removeIncesary() {
  const observer = new MutationObserver((mutationsList) => {
    for (let mutation of mutationsList) {
      if (mutation.type === "childList") {
        const targetElementLogoTag = document.querySelector(
          'img[src="https://wawf.app/wp-content/uploads/2022/12/WA-WorkFlow-logo-design-270x51-1.webp"]'
        );
        if (targetElementLogoTag) {
          targetElementLogoTag.src = data.logo.data.logo_image;
          const parentElementLogoTag = targetElementLogoTag.parentElement;

          if (parentElementLogoTag) {
            parentElementLogoTag.classList.add("wraper-logo-tag");
          }
        }

        const targetElement = document.querySelector(
          ".ant-modal-root ul.ant-rate"
        );
        if (targetElement) {
          const modalRoot = document.querySelector(".ant-modal-root");
          if (modalRoot) {
            modalRoot.remove();
          }
        }
      }
    }
  });

  // Observa los cambios en todo el body
  observer.observe(document.body, { childList: true, subtree: true });
}

// Injectar Estilos -------------------------------------
function appendCSS() {
  const styleElement = document.createElement("style");
  styleElement.id = "mbf-custom-style";
  document.body.appendChild(styleElement);

  styleElement.textContent = `

  
/*Inicio - Etiqeutas --------------------*/


span.top-tabbar-badge-class {
    background:var(--custom-primary-color)!important;
    color:white; 
}

.dark span.top-tabbar-badge-class {
    background: white !important;
    color:black; 
}




#main_section .main_toolbar .left_tab-side .ant-tabs-tab[data-node-key]:hover:after {
  background:var(--custom-primary-color) !important;
  border: 1px solid var(--custom-primary-color) !important;
}

/*Final - Etiqeutas --------------------*/

`;
}

//Desintalar lisencia -------------------------------------

async function uninstallLicense(license) {
  try {
    const res = {
      status: 200,
      message: "done"
    }

    if (res.status === 200) {
      return { success: true, message: res.message };
    } else {
      return { success: false, message: res.message };
    }
  } catch (error) {
    return { success: false, message: "Error de red o servidor" };
  }
}
